with Ada.Text_IO;
use Ada.Text_IO;

package body ITI8590.Sorting.IO is

   package Index_IO   is new Integer_IO(Index);
   package Element_IO is new Integer_IO(Element);

   procedure Put(Item : in Index) is
   begin
      Index_IO.Put(Item);
   end Put;

   procedure Put(Item : in Element) is
   begin
      Element_IO.Put(Item);
   end Put;

   procedure Put(Item : in List) is
   begin
      if Item'Length = 0 then
         raise Constraint_Error;
      else
         Put('(');
         for Index in Item'Range loop
            Put(Item(Index));
            if Index < Item'Last then
               Put(',');
            end if;
         end loop;
         Put(')');
      end if;
   end Put;

end ITI8590.Sorting.IO;
